
# Ajax sorted place_list
ezpublish_ezdemo_ajax_sorted_place_list:
    path: /placelist/{locationId}/{latitude}/{longitude}/{maxDist}
    defaults:
        _controller: eZDemoBundle:Place:listPlaceListSorted
    methods: [GET]
    requirements:
        locationId: \d+
        # requirements also accept key strings to be able to generate url with parameters replaced by JS
        latitude: ((-)?\d{1,2}(\.\d+)?)|key_lat
        longitude: ((-)?\d{1,2}(\.\d+)?)|key_lon
        maxDist: (\d+)|key_dist

# Ajax default place list
ezpublish_ezdemo_ajax_default_placeList:
    path: /placelist/{locationId}
    defaults:
        _controller: eZDemoBundle:Place:listPlaceList
    methods: [GET]
    requirements:
        locationId: \d+

# Search page
ezpublish_ezdemo_search:
    path: /content/search
    defaults:
        _controller: eZDemoBundle:Search:showSearchResults
    methods: [GET]

